import { BaseCommand } from '../../base.js';
import { hasProfile } from '../../credentials.js';
class Status extends BaseCommand {
    async run() {
        const profile = await this.getProfile({ ignoreEnv: true });
        const loggedIn = await hasProfile(profile.name);
        if (!loggedIn) {
            return this.log('You are not logged in, run `xata auth login` first');
        }
        this.info('Client is logged in');
        await this.verifyAPIKey(profile);
        this.success('API key is valid');
    }
}
Status.description = 'Check status of the auth settings';
Status.examples = [];
Status.flags = {};
Status.args = {};
export default Status;
