var _a;
import { BaseCommand } from '../../base.js';
class BranchList extends BaseCommand {
    async run() {
        const { flags } = await this.parseCommand();
        const { workspace, region, database } = await this.getParsedDatabaseURL(flags.db);
        const xata = await this.getXataClient();
        const { branches } = await xata.api.branch.getBranchList({ pathParams: { workspace, region, dbName: database } });
        if (this.jsonEnabled())
            return branches;
        this.printTable(['Name', 'Created at'], branches.map((b) => [b.name, this.formatDate(b.createdAt)]));
    }
}
_a = BranchList;
BranchList.description = 'List branches';
BranchList.examples = [];
BranchList.flags = {
    ..._a.commonFlags,
    ..._a.databaseURLFlag
};
BranchList.args = {};
BranchList.enableJsonFlag = true;
export default BranchList;
