var _a;
import { Flags } from '@oclif/core';
import { BaseCommand } from '../../base.js';
class DatabasesList extends BaseCommand {
    async run() {
        var _b, _c;
        const { flags } = await this.parseCommand();
        const workspace = flags.workspace ||
            this.parseDatabaseURL((_c = (_b = this.projectConfig) === null || _b === void 0 ? void 0 : _b.databaseURL) !== null && _c !== void 0 ? _c : '').workspace ||
            (await this.getWorkspace());
        const xata = await this.getXataClient();
        const { databases: dbs = [] } = await xata.api.databases.getDatabaseList({
            pathParams: { workspaceId: workspace }
        });
        if (this.jsonEnabled())
            return dbs;
        const headers = ['Database name', 'Created at'];
        const rows = dbs.map((b) => [b.name, this.formatDate(b.createdAt)]);
        this.printTable(headers, rows, ['l', 'l', 'r']);
    }
}
_a = DatabasesList;
DatabasesList.description = 'List your databases';
DatabasesList.examples = [];
DatabasesList.flags = {
    ..._a.commonFlags,
    workspace: Flags.string({
        description: 'Workspace id to list databases from'
    })
};
DatabasesList.args = {};
DatabasesList.enableJsonFlag = true;
export default DatabasesList;
