import { APIKeyLocation, BaseCommand } from '../../base.js';
import { Profile } from '../../credentials.js';
export default class Status extends BaseCommand<typeof Status> {
    static description: string;
    static examples: never[];
    static flags: {
        json: import("@oclif/core/lib/interfaces/parser.js").BooleanFlag<boolean>;
    };
    static args: {};
    run(): Promise<{
        projectConfigLocation: {
            databaseURL?: string | undefined;
            codegen?: {
                output?: string | undefined;
                moduleType?: "cjs" | "esm" | "deno" | undefined;
                declarations?: boolean | undefined;
                javascriptTarget?: "es5" | "es6" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "esnext" | undefined;
            } | undefined;
            experimental?: {
                incrementalBuild?: boolean | undefined;
                workflow?: boolean | undefined;
            } | undefined;
        };
        databaseURL: string;
        workspace: string;
        database: string;
        branch: string;
        apiKeyLocation: APIKeyLocation | undefined;
    } | undefined>;
    printValue(name: string, value?: string): void;
    getAPIKeyLocationDescription(profile: Profile, location?: APIKeyLocation): string;
}
