var _a;
import { Args } from '@oclif/core';
import { BaseCommand } from '../../base.js';
class WorkspaceCreate extends BaseCommand {
    async run() {
        const { args } = await this.parseCommand();
        const { workspace } = args;
        if (!workspace) {
            return this.error('Please, specify a workspace name');
        }
        const xata = await this.getXataClient();
        const result = await xata.api.workspaces.createWorkspace({ body: { name: workspace } });
        if (this.jsonEnabled())
            return result;
        this.success(`Workspace ${result.id} successfully created`);
    }
}
_a = WorkspaceCreate;
WorkspaceCreate.description = 'Create a workspace';
WorkspaceCreate.examples = [];
WorkspaceCreate.flags = {
    ..._a.commonFlags
};
WorkspaceCreate.args = {
    workspace: Args.string({ description: 'The new workspace name', required: true })
};
WorkspaceCreate.enableJsonFlag = true;
export default WorkspaceCreate;
