import z from 'zod';
export declare const projectConfigSchema: z.ZodObject<{
    databaseURL: z.ZodString;
    codegen: z.ZodObject<{
        output: z.ZodString;
        moduleType: z.ZodEnum<["cjs", "esm", "deno"]>;
        declarations: z.ZodBoolean;
        javascriptTarget: z.ZodEnum<["es5", "es6", "es2015", "es2016", "es2017", "es2018", "es2019", "es2020", "es2021", "esnext"]>;
    }, "strip", z.ZodTypeAny, {
        output: string;
        moduleType: "cjs" | "esm" | "deno";
        declarations: boolean;
        javascriptTarget: "es5" | "es6" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "esnext";
    }, {
        output: string;
        moduleType: "cjs" | "esm" | "deno";
        declarations: boolean;
        javascriptTarget: "es5" | "es6" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "esnext";
    }>;
    experimental: z.ZodObject<{
        incrementalBuild: z.ZodBoolean;
        workflow: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        incrementalBuild: boolean;
        workflow: boolean;
    }, {
        incrementalBuild: boolean;
        workflow: boolean;
    }>;
}, "strip", z.ZodTypeAny, {
    databaseURL: string;
    codegen: {
        output: string;
        moduleType: "cjs" | "esm" | "deno";
        declarations: boolean;
        javascriptTarget: "es5" | "es6" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "esnext";
    };
    experimental: {
        incrementalBuild: boolean;
        workflow: boolean;
    };
}, {
    databaseURL: string;
    codegen: {
        output: string;
        moduleType: "cjs" | "esm" | "deno";
        declarations: boolean;
        javascriptTarget: "es5" | "es6" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "esnext";
    };
    experimental: {
        incrementalBuild: boolean;
        workflow: boolean;
    };
}>;
export declare const partialProjectConfig: z.ZodObject<{
    databaseURL: z.ZodOptional<z.ZodString>;
    codegen: z.ZodOptional<z.ZodObject<{
        output: z.ZodOptional<z.ZodString>;
        moduleType: z.ZodOptional<z.ZodEnum<["cjs", "esm", "deno"]>>;
        declarations: z.ZodOptional<z.ZodBoolean>;
        javascriptTarget: z.ZodOptional<z.ZodEnum<["es5", "es6", "es2015", "es2016", "es2017", "es2018", "es2019", "es2020", "es2021", "esnext"]>>;
    }, "strip", z.ZodTypeAny, {
        output?: string | undefined;
        moduleType?: "cjs" | "esm" | "deno" | undefined;
        declarations?: boolean | undefined;
        javascriptTarget?: "es5" | "es6" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "esnext" | undefined;
    }, {
        output?: string | undefined;
        moduleType?: "cjs" | "esm" | "deno" | undefined;
        declarations?: boolean | undefined;
        javascriptTarget?: "es5" | "es6" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "esnext" | undefined;
    }>>;
    experimental: z.ZodOptional<z.ZodObject<{
        incrementalBuild: z.ZodOptional<z.ZodBoolean>;
        workflow: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        incrementalBuild?: boolean | undefined;
        workflow?: boolean | undefined;
    }, {
        incrementalBuild?: boolean | undefined;
        workflow?: boolean | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    databaseURL?: string | undefined;
    codegen?: {
        output?: string | undefined;
        moduleType?: "cjs" | "esm" | "deno" | undefined;
        declarations?: boolean | undefined;
        javascriptTarget?: "es5" | "es6" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "esnext" | undefined;
    } | undefined;
    experimental?: {
        incrementalBuild?: boolean | undefined;
        workflow?: boolean | undefined;
    } | undefined;
}, {
    databaseURL?: string | undefined;
    codegen?: {
        output?: string | undefined;
        moduleType?: "cjs" | "esm" | "deno" | undefined;
        declarations?: boolean | undefined;
        javascriptTarget?: "es5" | "es6" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "esnext" | undefined;
    } | undefined;
    experimental?: {
        incrementalBuild?: boolean | undefined;
        workflow?: boolean | undefined;
    } | undefined;
}>;
export type ProjectConfig = z.infer<typeof partialProjectConfig>;
export declare function setValue(path: string, schema: z.ZodObject<any>, object: object, value: string): void;
