import { Hook } from '@oclif/core';
export declare const ONE_DAY: number;
export type Package = '@xata.io/cli' | '@xata.io/client';
export type Compatibility = Record<Package, {
    latest: string;
    compatibility: {
        range: string;
    }[];
}>;
export type PackageJson = {
    dependencies: Record<string, string>;
};
export declare const check: ({ pkg, version, compat }: {
    pkg: Package;
    version: string;
    compat: Compatibility;
}) => Promise<{
    warn: string | null;
    error: string | null;
}>;
export declare const getSdkVersion: () => Promise<null | string>;
export declare const fetchInfo: ({ url, file }: {
    url: string;
    file: string;
}) => Promise<void>;
declare const hook: Hook<'init'>;
export default hook;
